﻿using System;

namespace TestDP
{
    public static class MultiLanguage
    {
        public enum Languages { German, English }
        public static event EventHandler<Languages> LanguageChanged;
        public static Languages Language
        {
            get => _language;
            set
            {
                if (_language != value)
                {
                    _language = value;
                    LanguageChanged?.Invoke(null, _language);
                }
            }
        }
        private static Languages _language;
    }
}
